View Issue Details

IDProjectCategoryView StatusLast Update
0000234Adventure PHP FrameworkCode-Verbesserung // Code improvementpublic2015-10-12 12:19
ReporterParicAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0000234: Möglichkeit zu Manipulation der REQUESTS mittels des RequestHandler
DescriptionEs wäre schön wenn in Zukunft eine Möglichkeit geschaffen wird, um REQUEST-Anfragen mittels der RequestHandler-Classe gezielt zu manipulieren. Nutzen z.B.:
Wenn ein Nutzer auf einen gesicherten Bereich zugreifen möchte, so soll doch erstmal die Login-Seite angezeigt werden, um dann nach erfolgreichem Login zu der gewünschten Seite weitergeleitet werden zu können.
Additional Informationvorschlag wie die Methode aussehen könnte:

public static function setValue($name, $value)
{
    $_REQUEST[$name] = $value;
}
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacenone

Activities

ChristianAchatz

2014-09-11 11:18

administrator   ~0000498

Im Zuge der Einführung weiterer Features würde ich gerne das Thema Request- und Response-Implementierung aufgreifen, das im Forum schon vor langer Zeit diskutiert, allerdings nicht zu Ende geführt wurde (siehe http://forum.adventure-php-framework.org/viewtopic.php?f=10&t=1182). Thread und Idee kam damals von Nico (TipTop).

Ich würde gerne im Zuge dessen folgendes tun:

- Interface für Request und Response einführen
- Implementierung für beides unter APF\core
- Einbau in BaseDocumentController (for convenience)
- Einbau in AbstractFrontcontrollerAction (for convenience)
- Umstellung aller bestehenden Komponenten, die mit $_REQUEST arbeiten sofern sinnvoll und möglich. Ggf. Interface und Implementierung erweitern.

ChristianAchatz

2014-09-13 11:24

administrator   ~0000500

Erste Draft-Implementierung unter https://github.com/AdventurePHP/code/tree/feature-ID%23234-http-impl eingecheckt. Deckt zunächst den ersten Punkt ab. Richtig spannend werden allerdings die Punkte 2 und 3, da dazu einiges an umbau stattfinden muss.

Ideen und Anregungen (auch in Form von Pull-Requests auf den Branch "feature-ID#234-http-impl") immer gerne. :)

ChristianAchatz

2014-09-25 18:02

administrator   ~0000508

Last edited: 2014-10-26 18:57

View 2 revisions

Implementierung größtenteils erledigt. Siehe https://github.com/AdventurePHP/code/tree/feature-ID%23234-http-impl. Merging in den master noch ausstehend.

ChristianAchatz

2014-10-08 09:09

administrator   ~0000512

Merge done. Weitere Optimierungen ausstehend.

ChristianAchatz

2014-10-08 20:46

administrator   ~0000514

Entfernen von RequestHandler und HeaderManager ausstehend.

ChristianAchatz

2014-10-10 19:11

administrator   ~0000515

RequestHandler entfernt.

ChristianAchatz

2014-10-12 18:45

administrator   ~0000517

APF\tools\cookie\Cookie entfernt und Migrations-Skript hinzugefügt.

ChristianAchatz

2014-10-15 22:41

administrator   ~0000522

HeaderManager entfernt.

ChristianAchatz

2014-10-24 17:43

administrator   ~0000523

Code-Optimierung und Migration abgeschlossen. Dokumentation begonnen.

ChristianAchatz

2015-01-22 20:22

administrator   ~0000531

Deutsche Dokumentation abgeschlossen.

ChristianAchatz

2015-01-22 22:39

administrator   ~0000532

Refactoring des Session-Handling ausstehend.

Bisher:
$session = new Session('foo');

Zukünftig:
$session = self::getRequest()->getSession('foo');

Update von Doku-Seite 019.

ChristianAchatz

2015-01-23 00:10

administrator   ~0000533

Englische Übersetzung abgeschlossen.

ChristianAchatz

2015-01-25 10:26

administrator   ~0000536

Refactoring Session-Handling abgeschlossen. Migrations-Skript erstellt.

Issue History

Date Modified Username Field Change
2014-09-04 08:03 Paric New Issue
2014-09-11 11:18 ChristianAchatz Note Added: 0000498
2014-09-11 13:23 ChristianAchatz Assigned To => ChristianAchatz
2014-09-11 13:23 ChristianAchatz Status new => assigned
2014-09-13 11:24 ChristianAchatz Note Added: 0000500
2014-09-25 18:02 ChristianAchatz Note Added: 0000508
2014-10-08 09:09 ChristianAchatz Note Added: 0000512
2014-10-08 20:46 ChristianAchatz Note Added: 0000514
2014-10-10 19:11 ChristianAchatz Note Added: 0000515
2014-10-12 18:45 ChristianAchatz Note Added: 0000517
2014-10-15 22:41 ChristianAchatz Note Added: 0000522
2014-10-24 17:43 ChristianAchatz Note Added: 0000523
2014-10-26 18:57 ChristianAchatz Note Edited: 0000508 View Revisions
2015-01-22 20:22 ChristianAchatz Note Added: 0000531
2015-01-22 22:39 ChristianAchatz Note Added: 0000532
2015-01-23 00:10 ChristianAchatz Note Added: 0000533
2015-01-25 10:26 ChristianAchatz Note Added: 0000536
2015-01-25 10:26 ChristianAchatz Status assigned => resolved
2015-01-25 10:26 ChristianAchatz Fixed in Version => 3.0
2015-01-25 10:26 ChristianAchatz Resolution open => fixed
2015-01-25 10:27 ChristianAchatz Target Version => 3.0
2015-10-12 12:19 ChristianAchatz Status resolved => closed